# stream_server.hpp File Reference

`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/detail/monitorable.hpp>`
`#include <saga/saga/detail/permissions.hpp>`
`#include <saga/saga/packages/stream/config.hpp>`
`#include <saga/saga/stream.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::stream
namespace | saga::stream::metrics
namespace | saga::detail
## Classes
class | saga::stream::server
| The stream_server object establishes a listening/server object that waits for client connections. More...
struct | saga::detail::create_default< saga::stream::server >
## Variables
char const *const | saga::stream::metrics::server_clientconnect = "server.ClientConnect"